/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * @author obper
 */
@Entity
@Table(name = "productos_zonas_total")
@XmlRootElement
@NamedQueries({
        @NamedQuery(name = "ProductosZonasTotal.findAll", query = "SELECT p FROM ProductosZonasTotal p")
        ,
        @NamedQuery(name = "ProductosZonasTotal.findByZona", query = "SELECT p FROM ProductosZonasTotal p WHERE p.zona = :zona")
        ,
        @NamedQuery(name = "ProductosZonasTotal.findByCantidad", query = "SELECT p FROM ProductosZonasTotal p WHERE p.cantidad = :cantidad")
        ,
        @NamedQuery(name = "ProductosZonasTotal.findByCajas", query = "SELECT p FROM ProductosZonasTotal p WHERE p.cajas = :cajas")
        ,
        @NamedQuery(name = "ProductosZonasTotal.findByFecha", query = "SELECT p FROM ProductosZonasTotal p WHERE p.fecha = :fecha")
        ,
        @NamedQuery(name = "ProductosZonasTotal.findByObservacion", query = "SELECT p FROM ProductosZonasTotal p WHERE p.observacion = :observacion")
        ,
        @NamedQuery(name = "ProductosZonasTotal.findByIdzone", query = "SELECT p FROM ProductosZonasTotal p WHERE p.idzone = :idzone")
        ,
        @NamedQuery(name = "ProductosZonasTotal.findByFingreso", query = "SELECT p FROM ProductosZonasTotal p WHERE p.fingreso = :fingreso")
        ,
        @NamedQuery(name = "ProductosZonasTotal.findBySucursalCodigo", query = "SELECT p FROM ProductosZonasTotal p WHERE p.sucursalCodigo = :sucursalCodigo")
        ,
        @NamedQuery(name = "ProductosZonasTotal.findBySucursalCodigoAndProducto", query = "SELECT p FROM ProductosZonasTotal p WHERE p.sucursalCodigo = :sucursalCodigo AND p.productoCodigo = :productoCodigo")
        ,
        @NamedQuery(name = "ProductosZonasTotal.findBySinTablet", query = "SELECT p FROM ProductosZonasTotal p WHERE p.sinTablet = :sinTablet")
        ,
        @NamedQuery(name = "ProductosZonasTotal.findByIdzonetablet", query = "SELECT p FROM ProductosZonasTotal p WHERE p.idzonetablet = :idzonetablet")})
public class ProductosZonasTotal implements Serializable {

    private static final long serialVersionUID = 1L;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 4)
    @Column(name = "zona")
    private String zona;
    @Basic(optional = false)
    @NotNull
    @Column(name = "cantidad")
    private Integer cantidad;
    @Basic(optional = false)
    @NotNull
    @Column(name = "cajas")
    private Integer cajas;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 14)
    @Column(name = "fecha")
    private String fecha;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 45)
    @Column(name = "observacion")
    private String observacion;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @Column(name = "idzone")
    private Integer idzone;
    @Basic(optional = false)
    @NotNull
    @Column(name = "fingreso")
    @Temporal(TemporalType.DATE)
    private Date fingreso;
    @Basic(optional = false)
    @NotNull
    @Column(name = "sucursal_codigo")
    private String sucursalCodigo;
    @Basic(optional = false)
    @NotNull
    @Column(name = "sin_tablet")
    private boolean sinTablet;
    @Basic(optional = false)
    @NotNull
    @Column(name = "idzonetablet")
    private int idzonetablet;
    @Basic(optional = false)
    @NotNull
    @Column(name = "usuario_codigo")
    private String usuarioCodigo;
    @JoinColumn(name = "producto_codigo", referencedColumnName = "producto_codigo")
    @ManyToOne(optional = false)
    private Productos productoCodigo;

    public ProductosZonasTotal() {
    }

    public ProductosZonasTotal(Integer idzone) {
        this.idzone = idzone;
    }

    public ProductosZonasTotal(Integer idzone, String zona, Integer cantidad, Integer cajas, String fecha, String observacion, Date fingreso, String sucursalCodigo, boolean sinTablet, int idzonetablet) {
        this.idzone = idzone;
        this.zona = zona;
        this.cantidad = cantidad;
        this.cajas = cajas;
        this.fecha = fecha;
        this.observacion = observacion;
        this.fingreso = fingreso;
        this.sucursalCodigo = sucursalCodigo;
        this.sinTablet = sinTablet;
        this.idzonetablet = idzonetablet;
    }

    public String getZona() {
        return zona;
    }

    public void setZona(String zona) {
        this.zona = zona;
    }

    public Integer getCantidad() {
        return cantidad;
    }

    public void setCantidad(Integer cantidad) {
        this.cantidad = cantidad;
    }

    public Integer getCajas() {
        return cajas;
    }

    public void setCajas(Integer cajas) {
        this.cajas = cajas;
    }

    public String getFecha() {
        return fecha;
    }

    public void setFecha(String fecha) {
        this.fecha = fecha;
    }

    public String getObservacion() {
        return observacion;
    }

    public void setObservacion(String observacion) {
        this.observacion = observacion;
    }

    public Integer getIdzone() {
        return idzone;
    }

    public void setIdzone(Integer idzone) {
        this.idzone = idzone;
    }

    public Date getFingreso() {
        return fingreso;
    }

    public void setFingreso(Date fingreso) {
        this.fingreso = fingreso;
    }

    public String getSucursalCodigo() {
        return sucursalCodigo;
    }

    public void setSucursalCodigo(String sucursalCodigo) {
        this.sucursalCodigo = sucursalCodigo;
    }

    public boolean getSinTablet() {
        return sinTablet;
    }

    public void setSinTablet(boolean sinTablet) {
        this.sinTablet = sinTablet;
    }

    public int getIdzonetablet() {
        return idzonetablet;
    }

    public void setIdzonetablet(int idzonetablet) {
        this.idzonetablet = idzonetablet;
    }

    public String getUsuarioCodigo() {
        return usuarioCodigo;
    }

    public void setUsuarioCodigo(String usuarioCodigo) {
        this.usuarioCodigo = usuarioCodigo;
    }

    public Productos getProductoCodigo() {
        return productoCodigo;
    }

    public void setProductoCodigo(Productos productoCodigo) {
        this.productoCodigo = productoCodigo;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (idzone != null ? idzone.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof ProductosZonasTotal)) {
            return false;
        }
        ProductosZonasTotal other = (ProductosZonasTotal) object;
        if ((this.idzone == null && other.idzone != null) || (this.idzone != null && !this.idzone.equals(other.idzone))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.cosmodas.dbcon.ProductosZonasTotal[ idzone=" + idzone + " ]";
    }

}
